#! /usr/bin/env python
# -*- coding: utf-8 -*-

# Unimail 0.12 - License: GPLv3
# Author: José Antonio Jiménez Carmona
# Project web site: https://forja.rediris.es/projects/cusl3-unimail
# Contact e-mail: joseajcarmona@gmail.com

import sys, os, pygtk, gtk, gtk.glade, sysutils, configuration, fileslogic, imap, pop, smtp, imaplogic, poplogic
import smtplogic, syspaths
import gettext

_ = gettext.gettext
gettext.textdomain("unimail")
gettext.bindtextdomain("unimail", "./languages")
gtk.glade.textdomain("unimail")
gtk.glade.bindtextdomain("unimail", "./languages")

class DialInboxFolder:
    """
    Clase que representa la ventana de selección de la carpeta de bandeja de entrada de la interfaz de usuario gráfica.
    """

    def __init__(self, currentInboxDir):
        self.gladefile = os.path.join(sysutils.get_current_working_dir(), "dialinboxfolder.glade")
        self.builder = gtk.Builder()
        self.builder.add_from_file(self.gladefile)
        self.window = self.builder.get_object("DialInboxFolder")     
        self.builder.connect_signals(self)
        self.window.set_current_folder(currentInboxDir)
        self.window.show_all()

    def run(self):
        self.result = self.window.run()
        self.dirpath = self.window.get_current_folder()
        self.window.destroy()
        return self.result, self.dirpath
